Przeglądaj źródła

Sync with Andre Luis Lopes and Otavio branches

Patches applied:

 * andrelop@debian.org/apt--translation--0--base-0
   tag of apt@packages.debian.org/apt--main--0--patch-79

 * andrelop@debian.org/apt--translation--0--patch-1
   Sync with Matt version.

 * andrelop@debian.org/apt--translation--0--patch-2
   Update pt_BR translation

 * andrelop@debian.org/apt--translation--0--patch-3
   Sync with bubulle's branch.

 * apt@packages.debian.org/apt--main--0--patch-80
   Merge michael.vogt@ubuntu.com--2005/apt--fixes--0

 * apt@packages.debian.org/apt--main--0--patch-81
   Open 0.6.37

 * apt@packages.debian.org/apt--main--0--patch-82
   merge bubulle@debian.org--2005/apt--main--0

 * apt@packages.debian.org/apt--main--0--patch-83
   Update changelog

 * apt@packages.debian.org/apt--main--0--patch-84
   Fix build of French man pages (now using XML, not SGML)

 * apt@packages.debian.org/apt--main--0--patch-85
   Merge patch from Philippe Batailler for French man page build

 * apt@packages.debian.org/apt--main--0--patch-86
   add Welsh translations from Dafydd Harries

 * apt@packages.debian.org/apt--main--0--patch-87
   Update changelog

 * apt@packages.debian.org/apt--main--0--patch-88
   Change debian/bugscript to use #!/bin/bash (Closes: #313402)

 * apt@packages.debian.org/apt--misc-abi-changes--0--patch-4
   Merge from mainline

 * apt@packages.debian.org/apt--misc-abi-changes--0--patch-5
   Merge from mainline

 * apt@packages.debian.org/apt--misc-abi-changes--0--patch-6
   Collapse both pkgAcquire::Run() methods into one, with a default value

 * daf@muse.19inch.net--2005/apt--main--0--base-0
   tag of apt@packages.debian.org/apt--main--0--patch-85

 * daf@muse.19inch.net--2005/apt--main--0--patch-1
   add Welsh translation

 * michael.vogt@ubuntu.com--2005/apt--fixes--0--base-0
   tag of apt@packages.debian.org/apt--main--0--patch-79

 * michael.vogt@ubuntu.com--2005/apt--fixes--0--patch-1
   * merged obvious fixes into the tree to make it easy for matt to merge

 * michael.vogt@ubuntu.com--2005/apt--fixes--0--patch-2
   * more merges from otavio that looks good/uncritical

 * michael.vogt@ubuntu.com--2005/apt--fixes--0--patch-3
   * merged Matts misc-abi-changes tree

 * michael.vogt@ubuntu.com--2005/apt--fixes--0--patch-4
   * finalized the changelog for a ubuntu build

 * michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-26
   * fix the cache-control header generation 

 * otavio@debian.org--2005/apt--fixes--0--base-0
   tag of apt@packages.debian.org/apt--main--0--patch-71

 * otavio@debian.org--2005/apt--fixes--0--patch-1
   Fix comments about the need of xmlto

 * otavio@debian.org--2005/apt--fixes--0--patch-2
   Fix a compile warning

 * otavio@debian.org--2005/apt--fixes--0--patch-3
   Sync with apt--main--0--patch-76

 * otavio@debian.org--2005/apt--fixes--0--patch-4
   Sync with apt--main--0--patch-78

 * otavio@debian.org--2005/apt--fixes--0--patch-5
   Add fixes that was wrongly included on DDTP changes.

 * otavio@debian.org--2005/apt--fixes--0--patch-8
   Add information about the other fixes include on this branch now.

 * otavio@debian.org--2005/apt--fixes--0--patch-9
   Merge last changes from apt--main--0.

 * otavio@debian.org--2005/apt--fixes--0--patch-10
   Fix warnings about min/max change in gcc-4.0

 * otavio@debian.org--2005/apt--fixes--0--patch-11
   Fix remaning warnings while compiling gcc-4.0

 * otavio@debian.org--2005/apt--fixes--0--patch-12
   Add changelog entry about the fixes for warnings while compiling using GCC 4.0 compiler.

 * philippe.batailler@free.fr--2005/apt--mainMatt--0--patch-1
   fix xml error
Christian Perrier 21 lat temu
rodzic
commit
97720af361

+ 1 - 1
apt-inst/contrib/extracttar.cc

@@ -309,7 +309,7 @@ bool ExtractTar::Go(pkgDirStream &Stream)
       while (Size != 0)
       {
 	 unsigned char Junk[32*1024];
-	 unsigned long Read = MIN(Size,sizeof(Junk));
+	 unsigned long Read = min(Size,(unsigned long)sizeof(Junk));
 	 if (InFd.Read(Junk,((Read+511)/512)*512) == false)
 	    return false;
 	 

+ 4 - 0
apt-inst/contrib/extracttar.h

@@ -21,6 +21,10 @@
 #include <apt-pkg/fileutl.h>
 #include <apt-pkg/dirstream.h>
 
+#include <algorithm>
+
+using std::min;
+
 class ExtractTar
 {
    protected:

+ 1 - 1
apt-inst/deb/dpkgdb.cc

@@ -67,7 +67,7 @@ static bool EraseDir(const char *Dir)
    if (Pid == 0)
    {
       execlp(_config->Find("Dir::Bin::rm","/bin/rm").c_str(),
-	     "rm","-rf","--",Dir,0);
+	     "rm","-rf","--",Dir,(char *)NULL);
       _exit(100);
    }
    return ExecWait(Pid,_config->Find("dir::bin::rm","/bin/rm").c_str());

+ 1 - 2
apt-pkg/acquire.h

@@ -100,8 +100,7 @@ class pkgAcquire
 
    enum RunResult {Continue,Failed,Cancelled};
 
-   RunResult Run() { return Run(500000); }; // Binary compatibility
-   RunResult Run(int PulseIntervall);
+   RunResult Run(int PulseIntervall=500000);
    void Shutdown();
    
    // Simple iteration mechanism

+ 1 - 0
apt-pkg/clean.h

@@ -25,6 +25,7 @@ class pkgArchiveCleaner
    public:   
    
    bool Go(string Dir,pkgCache &Cache);
+   virtual ~pkgArchiveCleaner() {};
 };
 
 #endif

+ 2 - 2
apt-pkg/contrib/hashes.cc

@@ -30,8 +30,8 @@ bool Hashes::AddFD(int Fd,unsigned long Size)
    int Res = 0;
    while (Size != 0)
    {
-      Res = read(Fd,Buf,MIN(Size,sizeof(Buf)));
-      if (Res < 0 || (unsigned)Res != MIN(Size,sizeof(Buf)))
+      Res = read(Fd,Buf,min(Size,(unsigned long)sizeof(Buf)));
+      if (Res < 0 || (unsigned)Res != min(Size,(unsigned long)sizeof(Buf)))
 	 return false;
       Size -= Res;
       MD5.Add(Buf,Res);

+ 4 - 0
apt-pkg/contrib/hashes.h

@@ -20,6 +20,10 @@
 #include <apt-pkg/md5.h>
 #include <apt-pkg/sha1.h>
 
+#include <algorithm>
+
+using std::min;
+
 class Hashes
 {
    public:

+ 2 - 2
apt-pkg/contrib/md5.cc

@@ -299,8 +299,8 @@ bool MD5Summation::AddFD(int Fd,unsigned long Size)
    int Res = 0;
    while (Size != 0)
    {
-      Res = read(Fd,Buf,MIN(Size,sizeof(Buf)));
-      if (Res < 0 || (unsigned)Res != MIN(Size,sizeof(Buf)))
+      Res = read(Fd,Buf,min(Size,(unsigned long)sizeof(Buf)));
+      if (Res < 0 || (unsigned)Res != min(Size,(unsigned long)sizeof(Buf)))
 	 return false;
       Size -= Res;
       Add(Buf,Res);

+ 2 - 0
apt-pkg/contrib/md5.h

@@ -28,8 +28,10 @@
 #endif 
 
 #include <string>
+#include <algorithm>
 
 using std::string;
+using std::min;
 
 class MD5Summation;
 

+ 1 - 1
apt-pkg/contrib/sha1.cc

@@ -347,7 +347,7 @@ bool SHA1Summation::AddFD(int Fd,unsigned long Size)
    while (Size != 0 || ToEOF)
    {
       unsigned n = sizeof(Buf);
-      if (!ToEOF) n = MIN(Size,n);
+      if (!ToEOF) n = min(Size,(unsigned long)n);
       Res = read(Fd,Buf,n);
       if (Res < 0 || (!ToEOF && (unsigned) Res != n)) // error, or short read
 	 return false;

+ 2 - 0
apt-pkg/contrib/sha1.h

@@ -19,8 +19,10 @@
 #endif 
 
 #include <string>
+#include <algorithm>
 
 using std::string;
+using std::min;
 
 class SHA1Summation;
 

+ 1 - 0
apt-pkg/indexcopy.h

@@ -43,6 +43,7 @@ class IndexCopy
 
    bool CopyPackages(string CDROM,string Name,vector<string> &List,
 		     pkgCdromStatus *log);
+   virtual ~IndexCopy() {};
 };
 
 class PackageCopy : public IndexCopy

+ 1 - 0
apt-pkg/indexfile.h

@@ -55,6 +55,7 @@ class pkgIndexFile
 
       virtual pkgRecords::Parser *CreatePkgParser(pkgCache::PkgFileIterator /*File*/) const {return 0;};
       Type();
+      virtual ~Type() {};
    };
 
    virtual const Type *GetType() const = 0;

+ 1 - 1
buildlib/xml_manpage.mak

@@ -2,7 +2,7 @@
 
 # This handles man pages in DocBook XML format. We convert to the respective
 # output in the source directory then copy over to the final dest. This
-# means yodl is only needed if compiling from CVS
+# means xmlto is only needed if compiling from Arch
 
 # Input
 # $(SOURCE) - The documents to use, in the form foo.sect, ie apt-cache.8

+ 9 - 0
cmdline/apt-get.cc

@@ -1380,6 +1380,15 @@ bool DoUpgrade(CommandLine &CmdL)
 /* Install named packages */
 bool DoInstall(CommandLine &CmdL)
 {
+   // Lock the list directory
+   FileFd Lock;
+   if (_config->FindB("Debug::NoLocking",false) == false)
+   {
+      Lock.Fd(GetLock(_config->FindDir("Dir::State::Lists") + "lock"));
+      if (_error->PendingError() == true)
+        return _error->Error(_("Unable to lock the list directory"));
+   }
+   
    CacheFile Cache;
    if (Cache.OpenForInstall() == false || 
        Cache.CheckDeps(CmdL.FileSize() != 1) == false)

+ 1 - 1
configure.in

@@ -18,7 +18,7 @@ AC_CONFIG_AUX_DIR(buildlib)
 AC_CONFIG_HEADER(include/config.h:buildlib/config.h.in include/apti18n.h:buildlib/apti18n.h.in)
 
 dnl -- SET THIS TO THE RELEASE VERSION --
-AC_DEFINE_UNQUOTED(VERSION,"0.6.35ubuntu1")
+AC_DEFINE_UNQUOTED(VERSION,"0.6.37")
 PACKAGE="apt"
 AC_DEFINE_UNQUOTED(PACKAGE,"$PACKAGE")
 AC_SUBST(PACKAGE)

+ 1 - 1
debian/bugscript

@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/bash -e
 
 # reportbug #169495
 if [ -z "$YESNO" ]; then

+ 34 - 1
debian/changelog

@@ -1,3 +1,36 @@
+apt (0.6.37) breezy; urgency=low
+
+  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-81
+    - patch-66: Italian update
+    - patch-71: French update
+    - patch-73: Basque update
+    - patch-74: Hebrew update
+    - patch-76: Correct Hebrew translation (Closes: #306658)
+    - patch-77: French man page update
+    - patch-79: Correct syntax errors in Hebrew translation
+    - patch-81: Portuguese update
+  * Fix build of French man pages (now using XML, not SGML)
+  * Add Welsh translation from Dafydd Harries
+    (daf@muse.19inch.net--2005/apt--main--0--patch-1)
+  * Change debian/bugscript to use #!/bin/bash (Closes: #313402)
+
+ -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 24 May 2005 14:38:25 -0700
+
+apt (0.6.36ubuntu1) breezy; urgency=low
+
+  * make it possible to write a cache-control: no-cache header even if
+    no proxy is set to support transparent proxies (closes ubuntu: #10773)
+
+  * Merge otavio@debian.org--2005/apt--fixes--0.6:
+    - Fix comment about the need of xmlto while building from Arch;
+    - Fix StatStore struct on cachedb.h to use time_t and then fix a compile
+      warning;
+    - Lock database at start of DoInstall routine to avoid concurrent
+      runs of install/remove and update commands (Closes: #194467)
+    - Fix warnings while compiling with GCC 4.0 compiler  
+
+ -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 May 2005 11:57:53 +0200
+
 apt (0.6.36) experimental; urgency=low
 
   * Merge apt--mvo--0:
@@ -9,7 +42,7 @@ apt (0.6.36) experimental; urgency=low
     - apt-pkg/cdrom.cc:
       honor "Acquire::gpgv::Options" when verifying the signature (Ubuntu #8496)
  
- -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Mar 2005 20:37:11 +0200
+ -- Michael Vogt <mvo@debian.org>  Thu, 31 Mar 2005 20:37:11 +0200
 
 apt (0.6.35) hoary; urgency=low
 

+ 1 - 1
doc/fr/apt.ent.fr

@@ -1,4 +1,4 @@
-<!-- -*- mode: sgml; mode: fold -*- -->
+<?xml version="1.0" encoding="iso-8859-15"?>
 
 <!-- Some common paths.. -->
 <!ENTITY docdir "/usr/share/doc/apt/">

+ 1 - 1
doc/fr/makefile

@@ -10,4 +10,4 @@ SOURCE = apt-cache.fr.8 apt-get.fr.8 apt-cdrom.fr.8 apt.conf.fr.5 \
          sources.list.fr.5 apt-config.fr.8 apt-sortpkgs.fr.1 \
 	 apt-ftparchive.fr.1 apt_preferences.fr.5 apt-extracttemplates.fr.1
 INCLUDES = apt.ent.fr
-include $(SGML_MANPAGE_H)
+include $(XML_MANPAGE_H)

+ 1 - 1
ftparchive/cachedb.h

@@ -69,7 +69,7 @@ class CacheDB
    enum FlagList {FlControl = (1<<0),FlMD5=(1<<1),FlContents=(1<<2)};
    struct StatStore
    {
-      uint32_t mtime;          
+      time_t   mtime;          
       uint32_t Flags;
    } CurStat;
    struct StatStore OldStat;

+ 1 - 1
methods/ftp.cc

@@ -1102,7 +1102,7 @@ int main(int argc,const char *argv[])
 	 
 	 // Run the http method
 	 string Path = flNotFile(argv[0]) + "http";
-	 execl(Path.c_str(),Path.c_str(),0);
+	 execl(Path.c_str(),Path.c_str(),(char *)NULL);
 	 cerr << _("Unable to invoke ") << Path << endl;
 	 exit(100);
       }      

+ 7 - 3
methods/http.cc

@@ -635,9 +635,9 @@ void HttpMethod::SendReq(FetchItem *Itm,CircleBuf &Out)
        	 and a no-store directive for archives. */
       sprintf(Buf,"GET %s HTTP/1.1\r\nHost: %s\r\n",
 	      Itm->Uri.c_str(),ProperHost.c_str());
-      if (_config->FindB("Acquire::http::No-Cache",false) == true)
-	 strcat(Buf,"Cache-Control: no-cache\r\nPragma: no-cache\r\n");
-      else
+      // only generate a cache control header if we actually want to 
+      // use a cache
+      if (_config->FindB("Acquire::http::No-Cache",false) == false)
       {
 	 if (Itm->IndexFile == true)
 	    sprintf(Buf+strlen(Buf),"Cache-Control: max-age=%u\r\n",
@@ -649,6 +649,10 @@ void HttpMethod::SendReq(FetchItem *Itm,CircleBuf &Out)
 	 }	 
       }
    }
+   // generate a no-cache header if needed
+   if (_config->FindB("Acquire::http::No-Cache",false) == true)
+      strcat(Buf,"Cache-Control: no-cache\r\nPragma: no-cache\r\n");
+
    
    string Req = Buf;
 

+ 55 - 55
po/apt-all.pot

@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-03-29 07:17+0200\n"
+"POT-Creation-Date: 2005-05-23 11:34+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -148,7 +148,7 @@ msgstr ""
 
 #: cmdline/apt-cache.cc:1651 cmdline/apt-cdrom.cc:138 cmdline/apt-config.cc:70
 #: cmdline/apt-extracttemplates.cc:225 ftparchive/apt-ftparchive.cc:545
-#: cmdline/apt-get.cc:2313 cmdline/apt-sortpkgs.cc:144
+#: cmdline/apt-get.cc:2322 cmdline/apt-sortpkgs.cc:144
 #, c-format
 msgid "%s %s for %s %s compiled on %s %s\n"
 msgstr ""
@@ -523,7 +523,7 @@ msgstr ""
 msgid "Y"
 msgstr ""
 
-#: cmdline/apt-get.cc:140 cmdline/apt-get.cc:1475
+#: cmdline/apt-get.cc:140 cmdline/apt-get.cc:1484
 #, c-format
 msgid "Regex compilation error - %s"
 msgstr ""
@@ -670,11 +670,11 @@ msgstr ""
 msgid "Packages need to be removed but remove is disabled."
 msgstr ""
 
-#: cmdline/apt-get.cc:788 cmdline/apt-get.cc:1769 cmdline/apt-get.cc:1802
+#: cmdline/apt-get.cc:788 cmdline/apt-get.cc:1778 cmdline/apt-get.cc:1811
 msgid "Unable to lock the download directory"
 msgstr ""
 
-#: cmdline/apt-get.cc:798 cmdline/apt-get.cc:1850 cmdline/apt-get.cc:2061
+#: cmdline/apt-get.cc:798 cmdline/apt-get.cc:1859 cmdline/apt-get.cc:2070
 #: apt-pkg/cachefile.cc:67
 msgid "The list of sources could not be read."
 msgstr ""
@@ -728,7 +728,7 @@ msgstr ""
 msgid "Do you want to continue [Y/n]? "
 msgstr ""
 
-#: cmdline/apt-get.cc:958 cmdline/apt-get.cc:1334 cmdline/apt-get.cc:1959
+#: cmdline/apt-get.cc:958 cmdline/apt-get.cc:1334 cmdline/apt-get.cc:1968
 #, c-format
 msgid "Failed to fetch %s  %s\n"
 msgstr ""
@@ -737,7 +737,7 @@ msgstr ""
 msgid "Some files failed to download"
 msgstr ""
 
-#: cmdline/apt-get.cc:977 cmdline/apt-get.cc:1968
+#: cmdline/apt-get.cc:977 cmdline/apt-get.cc:1977
 msgid "Download complete and in download only mode"
 msgstr ""
 
@@ -833,7 +833,7 @@ msgstr ""
 msgid "The update command takes no arguments"
 msgstr ""
 
-#: cmdline/apt-get.cc:1295
+#: cmdline/apt-get.cc:1295 cmdline/apt-get.cc:1389
 msgid "Unable to lock the list directory"
 msgstr ""
 
@@ -847,27 +847,27 @@ msgstr ""
 msgid "Internal error, AllUpgrade broke stuff"
 msgstr ""
 
-#: cmdline/apt-get.cc:1462 cmdline/apt-get.cc:1498
+#: cmdline/apt-get.cc:1471 cmdline/apt-get.cc:1507
 #, c-format
 msgid "Couldn't find package %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:1485
+#: cmdline/apt-get.cc:1494
 #, c-format
 msgid "Note, selecting %s for regex '%s'\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1515
+#: cmdline/apt-get.cc:1524
 msgid "You might want to run `apt-get -f install' to correct these:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1518
+#: cmdline/apt-get.cc:1527
 msgid ""
 "Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
 "solution)."
 msgstr ""
 
-#: cmdline/apt-get.cc:1530
+#: cmdline/apt-get.cc:1539
 msgid ""
 "Some packages could not be installed. This may mean that you have\n"
 "requested an impossible situation or if you are using the unstable\n"
@@ -875,149 +875,149 @@ msgid ""
 "or been moved out of Incoming."
 msgstr ""
 
-#: cmdline/apt-get.cc:1538
+#: cmdline/apt-get.cc:1547
 msgid ""
 "Since you only requested a single operation it is extremely likely that\n"
 "the package is simply not installable and a bug report against\n"
 "that package should be filed."
 msgstr ""
 
-#: cmdline/apt-get.cc:1543
+#: cmdline/apt-get.cc:1552
 msgid "The following information may help to resolve the situation:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1546
+#: cmdline/apt-get.cc:1555
 msgid "Broken packages"
 msgstr ""
 
-#: cmdline/apt-get.cc:1572
+#: cmdline/apt-get.cc:1581
 msgid "The following extra packages will be installed:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1643
+#: cmdline/apt-get.cc:1652
 msgid "Suggested packages:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1644
+#: cmdline/apt-get.cc:1653
 msgid "Recommended packages:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1664
+#: cmdline/apt-get.cc:1673
 msgid "Calculating upgrade... "
 msgstr ""
 
-#: cmdline/apt-get.cc:1667 methods/ftp.cc:702 methods/connect.cc:99
+#: cmdline/apt-get.cc:1676 methods/ftp.cc:702 methods/connect.cc:99
 msgid "Failed"
 msgstr ""
 
-#: cmdline/apt-get.cc:1672
+#: cmdline/apt-get.cc:1681
 msgid "Done"
 msgstr ""
 
-#: cmdline/apt-get.cc:1845
+#: cmdline/apt-get.cc:1854
 msgid "Must specify at least one package to fetch source for"
 msgstr ""
 
-#: cmdline/apt-get.cc:1872 cmdline/apt-get.cc:2079
+#: cmdline/apt-get.cc:1881 cmdline/apt-get.cc:2088
 #, c-format
 msgid "Unable to find a source package for %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:1919
+#: cmdline/apt-get.cc:1928
 #, c-format
 msgid "You don't have enough free space in %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:1924
+#: cmdline/apt-get.cc:1933
 #, c-format
 msgid "Need to get %sB/%sB of source archives.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1927
+#: cmdline/apt-get.cc:1936
 #, c-format
 msgid "Need to get %sB of source archives.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1933
+#: cmdline/apt-get.cc:1942
 #, c-format
 msgid "Fetch source %s\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1964
+#: cmdline/apt-get.cc:1973
 msgid "Failed to fetch some archives."
 msgstr ""
 
-#: cmdline/apt-get.cc:1992
+#: cmdline/apt-get.cc:2001
 #, c-format
 msgid "Skipping unpack of already unpacked source in %s\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2004
+#: cmdline/apt-get.cc:2013
 #, c-format
 msgid "Unpack command '%s' failed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2021
+#: cmdline/apt-get.cc:2030
 #, c-format
 msgid "Build command '%s' failed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2040
+#: cmdline/apt-get.cc:2049
 msgid "Child process failed"
 msgstr ""
 
-#: cmdline/apt-get.cc:2056
+#: cmdline/apt-get.cc:2065
 msgid "Must specify at least one package to check builddeps for"
 msgstr ""
 
-#: cmdline/apt-get.cc:2084
+#: cmdline/apt-get.cc:2093
 #, c-format
 msgid "Unable to get build-dependency information for %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2104
+#: cmdline/apt-get.cc:2113
 #, c-format
 msgid "%s has no build depends.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2156
+#: cmdline/apt-get.cc:2165
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because the package %s cannot be "
 "found"
 msgstr ""
 
-#: cmdline/apt-get.cc:2208
+#: cmdline/apt-get.cc:2217
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because no available versions of "
 "package %s can satisfy version requirements"
 msgstr ""
 
-#: cmdline/apt-get.cc:2243
+#: cmdline/apt-get.cc:2252
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
 msgstr ""
 
-#: cmdline/apt-get.cc:2268
+#: cmdline/apt-get.cc:2277
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2282
+#: cmdline/apt-get.cc:2291
 #, c-format
 msgid "Build-dependencies for %s could not be satisfied."
 msgstr ""
 
-#: cmdline/apt-get.cc:2286
+#: cmdline/apt-get.cc:2295
 msgid "Failed to process build dependencies"
 msgstr ""
 
-#: cmdline/apt-get.cc:2318
+#: cmdline/apt-get.cc:2327
 msgid "Supported modules:"
 msgstr ""
 
-#: cmdline/apt-get.cc:2359
+#: cmdline/apt-get.cc:2368
 msgid ""
 "Usage: apt-get [options] command\n"
 "       apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@@ -1561,7 +1561,7 @@ msgstr ""
 msgid "Unable to accept connection"
 msgstr ""
 
-#: methods/ftp.cc:864 methods/http.cc:916 methods/rsh.cc:303
+#: methods/ftp.cc:864 methods/http.cc:920 methods/rsh.cc:303
 msgid "Problem hashing file"
 msgstr ""
 
@@ -1688,43 +1688,43 @@ msgstr ""
 msgid "Unknown date format"
 msgstr ""
 
-#: methods/http.cc:737
+#: methods/http.cc:741
 msgid "Select failed"
 msgstr ""
 
-#: methods/http.cc:742
+#: methods/http.cc:746
 msgid "Connection timed out"
 msgstr ""
 
-#: methods/http.cc:765
+#: methods/http.cc:769
 msgid "Error writing to output file"
 msgstr ""
 
-#: methods/http.cc:793
+#: methods/http.cc:797
 msgid "Error writing to file"
 msgstr ""
 
-#: methods/http.cc:818
+#: methods/http.cc:822
 msgid "Error writing to the file"
 msgstr ""
 
-#: methods/http.cc:832
+#: methods/http.cc:836
 msgid "Error reading from server. Remote end closed connection"
 msgstr ""
 
-#: methods/http.cc:834
+#: methods/http.cc:838
 msgid "Error reading from server"
 msgstr ""
 
-#: methods/http.cc:1065
+#: methods/http.cc:1069
 msgid "Bad header data"
 msgstr ""
 
-#: methods/http.cc:1082
+#: methods/http.cc:1086
 msgid "Connection failed"
 msgstr ""
 
-#: methods/http.cc:1173
+#: methods/http.cc:1177
 msgid "Internal error"
 msgstr ""
 

Plik diff jest za duży
+ 2503 - 0
po/cy.po


+ 74 - 75
po/pt_BR.po

@@ -6,13 +6,13 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: apt\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-03-29 07:17+0200\n"
-"PO-Revision-Date: 2005-02-13 15:18-0200\n"
+"Report-Msgid-Bugs-To: debian-l10n-portuguese@lists.debian.org\n"
+"POT-Creation-Date: 2005-05-23 11:34+0200\n"
+"PO-Revision-Date: 2005-06-16 10:24-0300\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Language-Team: Debian-BR Project <debian-l10n-portuguese@lists.debian.org>\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
 
 #: cmdline/apt-cache.cc:135
@@ -149,7 +149,7 @@ msgstr "       %4i %s\n"
 
 #: cmdline/apt-cache.cc:1651 cmdline/apt-cdrom.cc:138 cmdline/apt-config.cc:70
 #: cmdline/apt-extracttemplates.cc:225 ftparchive/apt-ftparchive.cc:545
-#: cmdline/apt-get.cc:2313 cmdline/apt-sortpkgs.cc:144
+#: cmdline/apt-get.cc:2322 cmdline/apt-sortpkgs.cc:144
 #, c-format
 msgid "%s %s for %s %s compiled on %s %s\n"
 msgstr "%s %s para %s %s compilado em %s %s\n"
@@ -325,7 +325,6 @@ msgid "Error processing contents %s"
 msgstr "Erro processando Conteúdo %s"
 
 #: ftparchive/apt-ftparchive.cc:551
-#, fuzzy
 msgid ""
 "Usage: apt-ftparchive [options] command\n"
 "Commands: packages binarypath [overridefile [pathprefix]]\n"
@@ -378,7 +377,7 @@ msgstr ""
 "suporta muitos estilos de geração, desde totalmente automatizadas até \n"
 "substitutos funcionais para o dpkg-scanpackages e dpkg-scansources\n"
 "\n"
-"O apt-ftparchive gera arquivos Packages a partir de uma árvore de .debs.\n"
+"O apt-ftparchive gera arquivos Package a partir de uma árvore de .debs.\n"
 " O arquivo Package contém o conteúdo de todos os campos control de \n"
 "cada pacote bem como o hash MD5 e tamanho de arquivo. Um arquivo \n"
 "override é suportado para forçar o valor de Priority e Section.\n"
@@ -623,7 +622,7 @@ msgstr "Falha ao renomear %s para %s"
 msgid "Y"
 msgstr "S"
 
-#: cmdline/apt-get.cc:140 cmdline/apt-get.cc:1475
+#: cmdline/apt-get.cc:140 cmdline/apt-get.cc:1484
 #, c-format
 msgid "Regex compilation error - %s"
 msgstr "Erro de compilação de regex - %s"
@@ -772,11 +771,11 @@ msgstr "H
 msgid "Packages need to be removed but remove is disabled."
 msgstr "Pacotes precisam ser removidos mas a remoção está desabilitada."
 
-#: cmdline/apt-get.cc:788 cmdline/apt-get.cc:1769 cmdline/apt-get.cc:1802
+#: cmdline/apt-get.cc:788 cmdline/apt-get.cc:1778 cmdline/apt-get.cc:1811
 msgid "Unable to lock the download directory"
 msgstr "Impossível criar lock no diretório de download"
 
-#: cmdline/apt-get.cc:798 cmdline/apt-get.cc:1850 cmdline/apt-get.cc:2061
+#: cmdline/apt-get.cc:798 cmdline/apt-get.cc:1859 cmdline/apt-get.cc:2070
 #: apt-pkg/cachefile.cc:67
 msgid "The list of sources could not be read."
 msgstr "A lista de fontes não pôde ser lida."
@@ -834,7 +833,7 @@ msgstr "Abortado."
 msgid "Do you want to continue [Y/n]? "
 msgstr "Quer continuar [S/n] ? "
 
-#: cmdline/apt-get.cc:958 cmdline/apt-get.cc:1334 cmdline/apt-get.cc:1959
+#: cmdline/apt-get.cc:958 cmdline/apt-get.cc:1334 cmdline/apt-get.cc:1968
 #, c-format
 msgid "Failed to fetch %s  %s\n"
 msgstr "Falha ao baixar %s  %s\n"
@@ -843,7 +842,7 @@ msgstr "Falha ao baixar %s  %s\n"
 msgid "Some files failed to download"
 msgstr "Alguns arquivos falharam ao baixar"
 
-#: cmdline/apt-get.cc:977 cmdline/apt-get.cc:1968
+#: cmdline/apt-get.cc:977 cmdline/apt-get.cc:1977
 msgid "Download complete and in download only mode"
 msgstr "Download completo e em modo de apenas download"
 
@@ -946,7 +945,7 @@ msgstr "Vers
 msgid "The update command takes no arguments"
 msgstr "O comando update não leva argumentos"
 
-#: cmdline/apt-get.cc:1295
+#: cmdline/apt-get.cc:1295 cmdline/apt-get.cc:1389
 msgid "Unable to lock the list directory"
 msgstr "Impossível criar lock no diretório de listas"
 
@@ -962,21 +961,21 @@ msgstr ""
 msgid "Internal error, AllUpgrade broke stuff"
 msgstr "Erro Interno, AllUpgrade quebrou as coisas"
 
-#: cmdline/apt-get.cc:1462 cmdline/apt-get.cc:1498
+#: cmdline/apt-get.cc:1471 cmdline/apt-get.cc:1507
 #, c-format
 msgid "Couldn't find package %s"
 msgstr "Impossível achar pacote %s"
 
-#: cmdline/apt-get.cc:1485
+#: cmdline/apt-get.cc:1494
 #, c-format
 msgid "Note, selecting %s for regex '%s'\n"
 msgstr "Nota, selecionando %s para expressão regular '%s'\n"
 
-#: cmdline/apt-get.cc:1515
+#: cmdline/apt-get.cc:1524
 msgid "You might want to run `apt-get -f install' to correct these:"
 msgstr "Você deve querer rodar `apt-get -f install' para corrigir isso:"
 
-#: cmdline/apt-get.cc:1518
+#: cmdline/apt-get.cc:1527
 msgid ""
 "Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
 "solution)."
@@ -984,7 +983,7 @@ msgstr ""
 "Dependências desencontradas. Tente `apt-get -f install' sem nenhum pacote "
 "(ou especifique uma solução)."
 
-#: cmdline/apt-get.cc:1530
+#: cmdline/apt-get.cc:1539
 msgid ""
 "Some packages could not be installed. This may mean that you have\n"
 "requested an impossible situation or if you are using the unstable\n"
@@ -996,7 +995,7 @@ msgstr ""
 "distribuição instável, que alguns pacotes requeridos não foram \n"
 "criados ainda ou foram tirados do Incoming."
 
-#: cmdline/apt-get.cc:1538
+#: cmdline/apt-get.cc:1547
 msgid ""
 "Since you only requested a single operation it is extremely likely that\n"
 "the package is simply not installable and a bug report against\n"
@@ -1006,107 +1005,107 @@ msgstr ""
 "esteja simplesmente não instalável e um relato de erro sobre esse\n"
 "pacotes deve ser enviado."
 
-#: cmdline/apt-get.cc:1543
+#: cmdline/apt-get.cc:1552
 msgid "The following information may help to resolve the situation:"
 msgstr "A informação a seguir pode ajudar a resolver a situação:"
 
-#: cmdline/apt-get.cc:1546
+#: cmdline/apt-get.cc:1555
 msgid "Broken packages"
 msgstr "Pacotes quebrados"
 
-#: cmdline/apt-get.cc:1572
+#: cmdline/apt-get.cc:1581
 msgid "The following extra packages will be installed:"
 msgstr "Os pacotes extra a seguir serão instalados:"
 
-#: cmdline/apt-get.cc:1643
+#: cmdline/apt-get.cc:1652
 msgid "Suggested packages:"
 msgstr "Pacotes sugeridos :"
 
-#: cmdline/apt-get.cc:1644
+#: cmdline/apt-get.cc:1653
 msgid "Recommended packages:"
 msgstr "Pacotes recomendados :"
 
-#: cmdline/apt-get.cc:1664
+#: cmdline/apt-get.cc:1673
 msgid "Calculating upgrade... "
 msgstr "Calculando Atualização... "
 
-#: cmdline/apt-get.cc:1667 methods/ftp.cc:702 methods/connect.cc:99
+#: cmdline/apt-get.cc:1676 methods/ftp.cc:702 methods/connect.cc:99
 msgid "Failed"
 msgstr "Falhou"
 
-#: cmdline/apt-get.cc:1672
+#: cmdline/apt-get.cc:1681
 msgid "Done"
 msgstr "Pronto"
 
-#: cmdline/apt-get.cc:1845
+#: cmdline/apt-get.cc:1854
 msgid "Must specify at least one package to fetch source for"
 msgstr "Deve-se especificar pelo menos um pacote para que se baixe o fonte"
 
-#: cmdline/apt-get.cc:1872 cmdline/apt-get.cc:2079
+#: cmdline/apt-get.cc:1881 cmdline/apt-get.cc:2088
 #, c-format
 msgid "Unable to find a source package for %s"
 msgstr "Impossível encontrar um pacote fonte para %s"
 
-#: cmdline/apt-get.cc:1919
+#: cmdline/apt-get.cc:1928
 #, c-format
 msgid "You don't have enough free space in %s"
 msgstr "Você não possui espaço livre suficiente em %s"
 
-#: cmdline/apt-get.cc:1924
+#: cmdline/apt-get.cc:1933
 #, c-format
 msgid "Need to get %sB/%sB of source archives.\n"
 msgstr "Preciso pegar %sB/%sB de arquivos fonte.\n"
 
-#: cmdline/apt-get.cc:1927
+#: cmdline/apt-get.cc:1936
 #, c-format
 msgid "Need to get %sB of source archives.\n"
 msgstr "Precisa obter %sB de arquivos fonte.\n"
 
-#: cmdline/apt-get.cc:1933
+#: cmdline/apt-get.cc:1942
 #, c-format
 msgid "Fetch source %s\n"
 msgstr "Obter Fonte %s\n"
 
-#: cmdline/apt-get.cc:1964
+#: cmdline/apt-get.cc:1973
 msgid "Failed to fetch some archives."
 msgstr "Falha ao fazer o download de alguns arquivos."
 
-#: cmdline/apt-get.cc:1992
+#: cmdline/apt-get.cc:2001
 #, c-format
 msgid "Skipping unpack of already unpacked source in %s\n"
 msgstr "Pulando desempacotamento de pacote fonte já desempacotado em %s\n"
 
-#: cmdline/apt-get.cc:2004
+#: cmdline/apt-get.cc:2013
 #, c-format
 msgid "Unpack command '%s' failed.\n"
 msgstr "Comando de desempacotamento '%s' falhou.\n"
 
-#: cmdline/apt-get.cc:2021
+#: cmdline/apt-get.cc:2030
 #, c-format
 msgid "Build command '%s' failed.\n"
 msgstr "Comando de construção '%s' falhou.\n"
 
-#: cmdline/apt-get.cc:2040
+#: cmdline/apt-get.cc:2049
 msgid "Child process failed"
 msgstr "Processo filho falhou"
 
-#: cmdline/apt-get.cc:2056
+#: cmdline/apt-get.cc:2065
 msgid "Must specify at least one package to check builddeps for"
 msgstr ""
 "Deve-se especificar pelo menos um pacote para que se cheque as dependências "
 "de construção"
 
-#: cmdline/apt-get.cc:2084
+#: cmdline/apt-get.cc:2093
 #, c-format
 msgid "Unable to get build-dependency information for %s"
 msgstr "Impossível conseguir informações de dependência de construção para %s"
 
-#: cmdline/apt-get.cc:2104
+#: cmdline/apt-get.cc:2113
 #, c-format
 msgid "%s has no build depends.\n"
 msgstr "%s não tem dependências de construção.\n"
 
-#: cmdline/apt-get.cc:2156
+#: cmdline/apt-get.cc:2165
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because the package %s cannot be "
@@ -1115,7 +1114,7 @@ msgstr ""
 "a dependência de %s  por %s não pôde ser satisfeita porque o pacote %s não "
 "pôde ser encontrado"
 
-#: cmdline/apt-get.cc:2208
+#: cmdline/apt-get.cc:2217
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because no available versions of "
@@ -1124,32 +1123,32 @@ msgstr ""
 "a dependência de %s por %s não pode ser satisfeita porque nenhuma versão "
 "disponível do pacote %s pode satisfazer os requerimentos de versão"
 
-#: cmdline/apt-get.cc:2243
+#: cmdline/apt-get.cc:2252
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
 msgstr ""
 "Falha ao satisfazer a dependência %s para %s: Pacote instalado %s é muito "
 "novo"
 
-#: cmdline/apt-get.cc:2268
+#: cmdline/apt-get.cc:2277
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: %s"
 msgstr "Falha ao satisfazer dependência %s para %s: %s"
 
-#: cmdline/apt-get.cc:2282
+#: cmdline/apt-get.cc:2291
 #, c-format
 msgid "Build-dependencies for %s could not be satisfied."
 msgstr "Não foi possível satisfazer as dependências de compilação para %s."
 
-#: cmdline/apt-get.cc:2286
+#: cmdline/apt-get.cc:2295
 msgid "Failed to process build dependencies"
 msgstr "Falha ao processar as dependências de construção"
 
-#: cmdline/apt-get.cc:2318
+#: cmdline/apt-get.cc:2327
 msgid "Supported modules:"
 msgstr "Módulos Suportados:"
 
-#: cmdline/apt-get.cc:2359
+#: cmdline/apt-get.cc:2368
 msgid ""
 "Usage: apt-get [options] command\n"
 "       apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@@ -1549,7 +1548,7 @@ msgid "Internal error adding a diversion"
 msgstr "Erro Interno ao adicionar um desvio"
 
 #: apt-inst/deb/dpkgdb.cc:383
-msgid "The pkg cache must be initialized first"
+msgid "The pkg cache must be initialize first"
 msgstr "O cache de pacotes deve ser inicializado primeiro"
 
 #: apt-inst/deb/dpkgdb.cc:386
@@ -1758,7 +1757,7 @@ msgstr "Conex
 msgid "Unable to accept connection"
 msgstr "Impossível aceitar conexão"
 
-#: methods/ftp.cc:864 methods/http.cc:916 methods/rsh.cc:303
+#: methods/ftp.cc:864 methods/http.cc:920 methods/rsh.cc:303
 msgid "Problem hashing file"
 msgstr "Problema fazendo o hash do arquivo"
 
@@ -1885,43 +1884,43 @@ msgstr "Este servidor http possui suporte a range quebrado"
 msgid "Unknown date format"
 msgstr "Formato de data desconhecido"
 
-#: methods/http.cc:737
+#: methods/http.cc:741
 msgid "Select failed"
 msgstr "Seleção falhou."
 
-#: methods/http.cc:742
+#: methods/http.cc:746
 msgid "Connection timed out"
 msgstr "Conexão expirou"
 
-#: methods/http.cc:765
+#: methods/http.cc:769
 msgid "Error writing to output file"
 msgstr "Erro gravando para arquivo de saída"
 
-#: methods/http.cc:793
+#: methods/http.cc:797
 msgid "Error writing to file"
 msgstr "Erro gravando para arquivo"
 
-#: methods/http.cc:818
+#: methods/http.cc:822
 msgid "Error writing to the file"
 msgstr "Erro gravando para o arquivo"
 
-#: methods/http.cc:832
+#: methods/http.cc:836
 msgid "Error reading from server. Remote end closed connection"
 msgstr "Erro lendo do servidor Ponto remoto fechou a conexão"
 
-#: methods/http.cc:834
+#: methods/http.cc:838
 msgid "Error reading from server"
 msgstr "Erro lendo do servidor"
 
-#: methods/http.cc:1065
+#: methods/http.cc:1069
 msgid "Bad header data"
 msgstr "Dados de cabeçalho ruins"
 
-#: methods/http.cc:1082
+#: methods/http.cc:1086
 msgid "Connection failed"
 msgstr "Conexão falhou."
 
-#: methods/http.cc:1173
+#: methods/http.cc:1177
 msgid "Internal error"
 msgstr "Erro interno"
 
@@ -2384,37 +2383,37 @@ msgstr "O Cache possui um sistema de vers
 
 #: apt-pkg/pkgcachegen.cc:117
 #, c-format
-msgid "Error occurred while processing %s (NewPackage)"
+msgid "Error occured while processing %s (NewPackage)"
 msgstr "Um erro ocorreu processando %s (NovoPacote)"
 
 #: apt-pkg/pkgcachegen.cc:129
 #, c-format
-msgid "Error occurred while processing %s (UsePackage1)"
+msgid "Error occured while processing %s (UsePackage1)"
 msgstr "Um erro ocorreu processando %s (UsePacote1)"
 
 #: apt-pkg/pkgcachegen.cc:150
 #, c-format
-msgid "Error occurred while processing %s (UsePackage2)"
+msgid "Error occured while processing %s (UsePackage2)"
 msgstr "Um erro ocorreu processando %s (UsePacote2)"
 
 #: apt-pkg/pkgcachegen.cc:154
 #, c-format
-msgid "Error occurred while processing %s (NewFileVer1)"
+msgid "Error occured while processing %s (NewFileVer1)"
 msgstr "Um erro ocorreu processando %s (NovoArquivoVer1)"
 
 #: apt-pkg/pkgcachegen.cc:184
 #, c-format
-msgid "Error occurred while processing %s (NewVersion1)"
+msgid "Error occured while processing %s (NewVersion1)"
 msgstr "Um erro ocorreu processando %s (NovaVersão1)"
 
 #: apt-pkg/pkgcachegen.cc:188
 #, c-format
-msgid "Error occurred while processing %s (UsePackage3)"
+msgid "Error occured while processing %s (UsePackage3)"
 msgstr "Um erro ocorreu processando %s (UsePacote3)"
 
 #: apt-pkg/pkgcachegen.cc:192
 #, c-format
-msgid "Error occurred while processing %s (NewVersion2)"
+msgid "Error occured while processing %s (NewVersion2)"
 msgstr "Um erro ocorreu processando %s (NovaVersão2)"
 
 #: apt-pkg/pkgcachegen.cc:207
@@ -2435,12 +2434,12 @@ msgstr ""
 
 #: apt-pkg/pkgcachegen.cc:241
 #, c-format
-msgid "Error occurred while processing %s (FindPkg)"
+msgid "Error occured while processing %s (FindPkg)"
 msgstr "Um erro ocorreu processando %s (FindPkg)"
 
 #: apt-pkg/pkgcachegen.cc:254
 #, c-format
-msgid "Error occurred while processing %s (CollectFileProvides)"
+msgid "Error occured while processing %s (CollectFileProvides)"
 msgstr "Um erro ocorreu processando %s (CollectFileProvides)"
 
 #: apt-pkg/pkgcachegen.cc:260
@@ -2466,11 +2465,11 @@ msgstr "Erro de I/O ao gravar cache fonte"
 msgid "rename failed, %s (%s -> %s)."
 msgstr "renomeação falhou, %s (%s -> %s)."
 
-#: apt-pkg/acquire-item.cc:235 apt-pkg/acquire-item.cc:894
+#: apt-pkg/acquire-item.cc:235 apt-pkg/acquire-item.cc:900
 msgid "MD5Sum mismatch"
 msgstr "MD5Sum incorreto"
 
-#: apt-pkg/acquire-item.cc:708
+#: apt-pkg/acquire-item.cc:714
 #, c-format
 msgid ""
 "I wasn't able to locate a file for the %s package. This might mean you need "
@@ -2480,7 +2479,7 @@ msgstr ""
 "que você precisa consertar manualmente este pacote. (devido a arquitetura "
 "não especificada)."
 
-#: apt-pkg/acquire-item.cc:761
+#: apt-pkg/acquire-item.cc:767
 #, c-format
 msgid ""
 "I wasn't able to locate file for the %s package. This might mean you need to "
@@ -2489,7 +2488,7 @@ msgstr ""
 "Não foi possível localizar arquivo para o pacote %s. Isto pode significar "
 "que você precisa consertar manualmente este pacote."
 
-#: apt-pkg/acquire-item.cc:797
+#: apt-pkg/acquire-item.cc:803
 #, c-format
 msgid ""
 "The package index files are corrupted. No Filename: field for package %s."
@@ -2497,7 +2496,7 @@ msgstr ""
 "Os arquivos de índice de pacotes estão corrompidos. Nenhum campo Filename: "
 "para o pacote %s."
 
-#: apt-pkg/acquire-item.cc:884
+#: apt-pkg/acquire-item.cc:890
 msgid "Size mismatch"
 msgstr "Tamanho incorreto"